Module java.base
Package java.net

# Class UnknownServiceException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
java.net.UnknownServiceException

All Implemented Interfaces:
  `Serializable`

    public class UnknownServiceException
    extends IOException

Thrown to indicate that an unknown service exception has occurred. Either the MIME type returned by a URL connection does not make sense, or the application is attempting to write to a read-only URL connection.

Since:
  1.0
See Also:
  Serialized Form

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`UnknownServiceException()` | Constructs a new `UnknownServiceException` with no detail message.
`UnknownServiceException​(String msg)` | Constructs a new `UnknownServiceException` with the specified detail message.

## Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UnknownServiceException

public UnknownServiceException()
Constructs a new `UnknownServiceException` with no detail message.

### UnknownServiceException

public UnknownServiceException​(String msg)
Constructs a new `UnknownServiceException` with the specified detail message.

Parameters:
  `msg` - the detail message.